User Entitlement Summary - Get

Get summary of Licenses, Extension, Projects, Groups and their assignments in the collection.

GET https://vsaex.dev.azure.com/{organization}/_apis/userentitlementsummary?api-version=5.1-preview.1
GET https://vsaex.dev.azure.com/{organization}/_apis/userentitlementsummary?select={select}&api-version=5.1-preview.1

URI Parameters

Name In Required Type Description
organization
path True

string

The name of the Azure DevOps organization.

api-version
query True

string

Version of the API to use. This should be set to '5.1-preview.1' to use this version of the api.

select
query

string

Comma (",") separated list of properties to select. Supported property names are {AccessLevels, Licenses, Extensions, Projects, Groups}.

Responses

Name Type Description
200 OK

UsersSummary

successful operation

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.memberentitlementmanagement Grants the ability to read users, their licenses as well as projects and extensions they can access

Definitions

Name Description
AccessLevel

License assigned to a user

AccountLicenseType

Type of Account License (e.g. Express, Stakeholder etc.)

AccountUserStatus

User status in the account

AssignmentSource

Assignment Source of the License (e.g. Group, Unknown etc.

ExtensionSummaryData

Summary of Extensions in the organization.

Group

Project Group (e.g. Contributor, Reader etc.)

GroupOption

Group option to add a user to

GroupType

Group Type

LicenseSummaryData

Summary of Licenses in the organization.

LicensingSource

Licensing Source (e.g. Account. MSDN etc.)

MinimumRequiredServiceLevel

Minimum License Required for the Extension.

MsdnLicenseType

Type of MSDN License (e.g. Visual Studio Professional, Visual Studio Enterprise etc.)

ProjectRef

A reference to a project

UsersSummary

Summary of licenses and extensions assigned to users in the organization

AccessLevel

License assigned to a user

Name Type Description
accountLicenseType

AccountLicenseType

Type of Account License (e.g. Express, Stakeholder etc.)

assignmentSource

AssignmentSource

Assignment Source of the License (e.g. Group, Unknown etc.

licenseDisplayName

string

Display name of the License

licensingSource

LicensingSource

Licensing Source (e.g. Account. MSDN etc.)

msdnLicenseType

MsdnLicenseType

Type of MSDN License (e.g. Visual Studio Professional, Visual Studio Enterprise etc.)

status

AccountUserStatus

User status in the account

statusMessage

string

Status message.

AccountLicenseType

Type of Account License (e.g. Express, Stakeholder etc.)

Value Description
none
earlyAdopter
express
professional
advanced
stakeholder

AccountUserStatus

User status in the account

Value Description
none
active

User has signed in at least once to the VSTS account

disabled

User cannot sign in; primarily used by admin to temporarily remove a user due to absence or license reallocation

deleted

User is removed from the VSTS account by the VSTS account admin

pending

User is invited to join the VSTS account by the VSTS account admin, but has not signed up/signed in yet

expired

User can sign in; primarily used when license is in expired state and we give a grace period

pendingDisabled

User is disabled; if reenabled, they will still be in the Pending state

AssignmentSource

Assignment Source of the License (e.g. Group, Unknown etc.

Value Description
none
unknown
groupRule

ExtensionSummaryData

Summary of Extensions in the organization.

Name Type Description
assigned

integer (int32)

Count of Licenses already assigned.

assignedThroughSubscription

integer (int32)

Count of Extension Licenses assigned to users through msdn.

available

integer (int32)

Available Count.

extensionId

string

Gallery Id of the Extension

extensionName

string

Friendly name of this extension

includedQuantity

integer (int32)

Quantity

isTrialVersion

boolean

Whether its a Trial Version.

minimumLicenseRequired

MinimumRequiredServiceLevel

Minimum License Required for the Extension.

remainingTrialDays

integer (int32)

Days remaining for the Trial to expire.

total

integer (int32)

Total Count.

trialExpiryDate

string (date-time)

Date on which the Trial expires.

Group

Project Group (e.g. Contributor, Reader etc.)

Name Type Description
displayName

string

Display Name of the Group

groupType

GroupType

Group Type

GroupOption

Group option to add a user to

Name Type Description
accessLevel

AccessLevel

Access Level

group

Group

Group

GroupType

Group Type

Value Description
projectStakeholder
projectReader
projectContributor
projectAdministrator
custom

LicenseSummaryData

Summary of Licenses in the organization.

Name Type Description
accountLicenseType

AccountLicenseType

Type of Account License.

assigned

integer (int32)

Count of Licenses already assigned.

available

integer (int32)

Available Count.

disabled

integer (int32)

Count of Disabled Licenses.

includedQuantity

integer (int32)

Quantity

isPurchasable

boolean

Designates if this license quantity can be changed through purchase

licenseName

string

Name of the License.

msdnLicenseType

MsdnLicenseType

Type of MSDN License.

nextBillingDate

string (date-time)

Specifies the date when billing will charge for paid licenses

source

LicensingSource

Source of the License.

total

integer (int32)

Total Count.

totalAfterNextBillingDate

integer (int32)

Total license count after next billing cycle

LicensingSource

Licensing Source (e.g. Account. MSDN etc.)

Value Description
none
account
msdn
profile
auto
trial

MinimumRequiredServiceLevel

Minimum License Required for the Extension.

Value Description
none

No service rights. The user cannot access the account

express

Default or minimum service level

advanced

Premium service level - either by purchasing on the Azure portal or by purchasing the appropriate MSDN subscription

advancedPlus

Only available to a specific set of MSDN Subscribers

stakeholder

Stakeholder service level

MsdnLicenseType

Type of MSDN License (e.g. Visual Studio Professional, Visual Studio Enterprise etc.)

Value Description
none
eligible
professional
platforms
testProfessional
premium
ultimate
enterprise

ProjectRef

A reference to a project

Name Type Description
id

string (uuid)

Project ID.

name

string

Project Name.

UsersSummary

Summary of licenses and extensions assigned to users in the organization

Name Type Description
availableAccessLevels

AccessLevel[]

Available Access Levels

extensions

ExtensionSummaryData[]

Summary of Extensions in the organization

groupOptions

GroupOption[]

Group Options

licenses

LicenseSummaryData[]

Summary of Licenses in the organization

projectRefs

ProjectRef[]

Summary of Projects in the organization